import React, { PureComponent, Component } from 'react';
import FriendListItem from './FriendListItem';
import styled from 'styled-components';

const List = styled.div`
    flex: 0 0 200px;
    max-width: 300px;
    min-width: fit-content;
    width: 300px;
    max-height: 100vh;
    overflow-y: scroll;
`;

const Logo = styled.div`
    width: 300px;
    height: 100px;
    background-color: #333333;
    border-bottom: 1px solid #e7ebee;
`;

const Img = styled.img`
    margin-top: 32px;
    margin-left: 21px;
`;

const Settings = styled.button`
    margin-bottom: 50px;
    margin-left: 21px;
    width: 40px;
    height: 40px;
    background-color: #DEDADA;
    color: #333333;
    border-radius: 6px;
    border: 0px;
    font-size: 40px;
`;

export default class FriendList extends React.Component {

  render() {
    return (
      <div>
      <Logo><Img src="https://preview.ibb.co/hm0cJz/Pub_Nub_Logo_transparent_bg_png.png" width="205.38" height="45px"/><Settings>⚙︎</Settings></Logo>
      <List>
         <FriendListItem name="Stephen" status="Online" image="https://www.w3schools.com/w3images/avatar3.png"/>
         <FriendListItem name="Adam" status="Offline" image="https://www.w3schools.com/w3images/avatar1.png"/>
         <FriendListItem name="Jordon" status="Offline" image="https://www.w3schools.com/w3images/avatar2.png"/>
	       <FriendListItem name="Namratha" status="Online" image="https://www.w3schools.com/w3images/avatar4.png"/>
         <FriendListItem name="Syed" status="Online" image="https://www.w3schools.com/w3images/avatar3.png"/>
         <FriendListItem name="Cameron" status="Offline" image="https://www.w3schools.com/w3images/avatar2.png"/>
         <FriendListItem name="Kaushik" status="Online" image="https://www.w3schools.com/w3images/avatar1.png"/>
      </List>
      </div>
    );
  }
}
