import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';

const Friend = styled.div`
    height : 100px;
    border-bottom : 1px solid #e7ebee;
    position : relative;
    background-color: #333333;
    &: hover {
      background-color: #747474;
    }
`;

const Image = styled.img`
   position : relative;
   height: 58px;
   width : 53px;
   border-radius : 50%;
   float : left;
   top: 21px;
   left: 21px;
`;

const ContactName = styled.p`
   position : absolute;
   font-family: "Helvetica", Trebuchet MS, sans-serif;
   font-weight: normal;
   font-size : 20px;
   color : #ffffff;
   margin-left: 80px;
   padding : 20px; 0 0 0;
   width : 220px;
`;

const Status = styled.div`
  background : ${props => (props.status == 'Online' ? '#26c281' : '#ffce54')};
  border-radius : 50%;
  width : 9px;
  height : 9px;
  position : absolute;
  top : 41px;
  right : 17px;
`;
export default class FriendListItem extends PureComponent {

  render() {
    return (
      <Friend>
          <Image src={this.props.image} />

              <ContactName>{this.props.name}</ContactName>

          <Status status={this.props.status}/>
      </Friend>
    );
  }
}

FriendListItem.propTypes = {
  name: PropTypes.string,
  status: PropTypes.string,
  image: PropTypes.string
};
