import React, { PureComponent } from 'react';
import styled from 'styled-components';
import Favicon from 'react-favicon';

const Card = styled.div`
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    max-width: 499px;
    margin: auto;
    text-align: center;
`;

const Title = styled.p`
  color: grey;
  font-size: 18px;
`;

const Button = styled.button`
    border: none;
    outline: 0;
    display: inline-block;
    padding: 8px;
    color: white;
    background-color: #000;
    text-align: center;
    cursor: pointer;
    width: 100%;
    font-size: 18px;
    &: hover {
      opacity: 0.7;
    }
`;

export default class HeaderPreview extends PureComponent {

  render() {
    return (
        <Card>
          <img src="https://www.w3schools.com/w3images/avatar3.png" alt="John" />
          <h1>Stephen Blum</h1>
          <Title>Online, active 15 minutes ago</Title>
          <p><Button>Mail</Button></p>
        </Card>
    );
  }
}
