import React, { PureComponent } from 'react'
import styled from 'styled-components';
import PropTypes from 'prop-types';
import Avatar from './Avatar';

const Wrapper = styled.div`
    box-shadow: 5px 5px grey;
`;

const Title = styled.div`
    display: grid;
    font-family: "'Open Sans', sans-serif";
    grid-template-coloumns: 1fr;
    grid-template-rows: ${props => props.sub ? '0.5fr 1fr .5fr' : '1fr 0.5fr'};
    justify-items: center;
    font-family: 'Open Sans', sans-serif;
    box-shadow: 0px 5px 10px grey;
    padding: 10px;
`;

const Heading = styled.div`
    font-weight: 500;
    font-size: 1.5em;
`;

const SubHeading = styled.div`
    font-weight: 400;
    font-size: 1em;
`

export default class TitleBar extends PureComponent {
  render() {
      const {name, sub, avatar} = this.props;
    return (
        <Title>
            <Avatar src={avatar}/>
            <Heading> {name} </Heading>  
            <SubHeading> {sub} </SubHeading>
        </Title>
    )
  }
}

TitleBar.propTypes = {
    name: PropTypes.string.isRequired,
    sub: PropTypes.string,
    avatar: PropTypes.string.isRequired
};
